updateFormMetadata
PATCH
/api/v1/data-sources/{id}/form
const url = 'https://example.com/api/v1/data-sources/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/form';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","description":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/v1/data-sources/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/form \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example" }'Updates only the parent Data Source name and description. An omitted description preserves the stored value; provider and configuration cannot be changed here. Requires the manage capability.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
string
description
string
Examplegenerated
{ "name": "example", "description": "example"}Responses
Section titled “ Responses ”Refreshed Form detail
Manage capability required
Name or description rejected